# WordPress pour YunoHost

[![Niveau d'intégration](https://dash.yunohost.org/integration/wordpress.svg)](https://dash.yunohost.org/appci/app/wordpress) ![](https://ci-apps.yunohost.org/ci/badges/wordpress.status.svg) ![](https://ci-apps.yunohost.org/ci/badges/wordpress.maintain.svg)  
[![Installer WordPress avec YunoHost](https://install-app.yunohost.org/install-with-yunohost.svg)](https://install-app.yunohost.org/?app=wordpress)

*[Read this readme in english.](./README.md)*
*[Lire ce readme en français.](./README_fr.md)*

> *Ce package vous permet d'installer WordPress rapidement et simplement sur un serveur YunoHost.
Si vous n'avez pas YunoHost, regardez [ici](https://yunohost.org/#/install) pour savoir comment l'installer et en profiter.*

## Vue d'ensemble

Logiciel de création de blog ou de site Web

**Version incluse :** 5.8~ynh1



## Captures d'écran

![](./doc/screenshots/screen-themes.png)

## Avertissements / informations importantes

## Vue d'ensemble
WordPress est un logiciel libre que vous pouvez utiliser pour créer un site ou un blog.
Avec ce package, vous pouvez même activer l'option [multisite](https://codex.wordpress.org/Glossary#Multisite).

## Configuration

Utilisez le panneau d'administration de votre WordPress pour le configurer.

## Caractéristiques spécifiques YunoHost

 * Intégration avec les utilisateurs YunoHost et le SSO :
   * en mode privé : Le blog ou le site est accessible uniquement aux utilisateurs YunoHost
   * en mode public : Le blog ou le site est accessible par n'importe qui et les utilisateurs YunoHost sont automatiquement connectés
 * Mises à jour automatiques du cœur de WordPress, extentions et thèmes.
 * Capable de configurer une instance [multisite](https://codex.wordpress.org/Glossary#Multisite).

#### Support multi-utilisateur

Supporté, avec LDAP et SSO.

## Limitations

* Le multisite n'est disponible que sur des sous-domaines.
* Comme les mises à jour automatiques ne fonctionnent pas correctement, prenez soin de bien mettre à jour WordPress via le panneau d'administration de WordPress et pas seulement via le panneau d'administration de YunoHost. Pour des raisons de sécurité, vérifiez bien que toutes les mises à jour sont bien installées dans le panneau d'administration de WordPress comme dans le panneau d'administration de YunoHost.

**Sécurité**

Soyez conscients que WordPress est connu pour avoir souvent des risques de sécurité (https://en.wikipedia.org/wiki/WordPress#Vulnerabilities), donc comme c'est le gestionnaire de sites le plus populaire il est la cible des robots et pirates.
Des vulnérabilités peuvent offrir une brêche dans votre WordPress ou dans votre serveur YunoHost (via l'escalade des droits).

N'oubliez pas d'appliquer les principes de sécurité de base (mots de passe forts, mises à jours fréquentes, ne pas ajouter du code inconnu dans le thème et les extensionts…). En particuler, *gardez votre Wordpress à jour le plus possible*.

Par ailleurs, vous pourriez avoir besoin de regarder [ce guide](https://wordpress.org/support/article/hardening-wordpress/). Installer des extensions de sécurité peut-être une bonne chose.

## Documentations et ressources

* Site officiel de l'app : https://wordpress.org/
* Documentation officielle de l'admin : https://codex.wordpress.org/
* Dépôt de code officiel de l'app : https://core.trac.wordpress.org/browser  
* Documentation YunoHost pour cette app : https://yunohost.org/app_wordpress
* Signaler un bug : https://github.com/YunoHost-Apps/wordpress_ynh/issues

## Informations pour les développeurs

Merci de faire vos pull request sur la [branche testing](https://github.com/YunoHost-Apps/wordpress_ynh/tree/testing).

Pour essayer la branche testing, procédez comme suit.
```
sudo yunohost app install https://github.com/YunoHost-Apps/wordpress_ynh/tree/testing --debug
ou
sudo yunohost app upgrade wordpress -u https://github.com/YunoHost-Apps/wordpress_ynh/tree/testing --debug
```

**Plus d'infos sur le packaging d'applications :** https://yunohost.org/packaging_apps